{% extends 'base.html.twig' %}

{% block title %}{{ chatRoom.title }}{% endblock %}

{% block body %}
    <h1>{{ chatRoom.title }}</h1>

    <turbo-frame id="message_form">
        {{ include('chat_room/_form.html.twig') }}
    </turbo-frame>

    <turbo-frame id="messages" {{ turbo_stream_listen(url('chat_room', { uuid: chatRoom.uuid })) }}>
        {% for message in chatRoom.messages %}
            {% include 'components/message.html.twig' with {
                author: message.author.username,
                content: message.content,
                publish_date: message.createdAt | date('d/m/y H:i')
            } %}
        {% endfor %}
    </turbo-frame>


    <h2>Utilisateurs dans cette conversation</h2>
    <ul>
        {% for user in chatRoom.members %}
            <li>
                {{ user.username }}
            </li>
        {% endfor %}
    </ul>
{% endblock %}